TARGETS=help all test clean-all

MAKEFLAGS += --no-print-directory

.PHONY: ${TARGETS} clean

ifdef V
  ifeq ("$(origin V)", "command line")
    KBUILD_VERBOSE = $(V)
  endif
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),0)
  define Q
    @
  endef
  define SILENT
    >/dev/null 2>/dev/null
  endef
else
  define USILENT
    >/dev/null 2>/dev/null
  endef
endif 

${TARGETS}:
	@cd ..;make $@

clean:
	@echo "   CLEAN    ${RELDIR}" ${USILENT}
	${Q}${RM} *.class
	${Q}${RM} *.bak
	${Q}${RM} \#*
	${Q}${RM} *~
	${Q}${RM} main.jar